' ___________________________________________________________ 
'| _________________________________________________________ |
'||  __            ___  __    ___     ___  __    ___    ___ ||
'|| |  | | \    / |    |  |  |   |   |    |  \  /   \  |    ||
'|| |_/  |  |  |  |___ |_/    \_     |___ |   | |   _  |___ ||
'|| | \  |  \  /  |    | \      \    |    |   | |    | |    ||
'|| |  | |   \/   |___ |  | |___|    |___ |__/   \__/  |___ ||
'||_________________________________________________________||
'|___________________________________________________________|


' current library files:-
' filters
' maths
' system
' map

'from http://www.redrival.com/flik/

'|=======================================|
'|  _      _    _            _  _   _    |
'| |- | |_ | E |< S  |_ | B |< |-| |< \/ |
'|                                    /  |
'|=======================================|

'list of functions:-

'void clear();
'void darken();
'void lighten();
'void colorize(color c, int red, int blue, int green, int alpha);
'void fadeouttiles();
'void fillscreen(string pattern);





void clear()
{
	color black;
	black.red = 0;
	black.blue = 0;
	black.green = 0;
	black.alpha = 255;
	ApplyColorMask(black);
}

void darken()
{
	color black;
	black.red = 0;
	black.blue = 0;
	black.green = 0;
	black.alpha = 50;
	ApplyColorMask(black);
}

void lighten()
{
	color white;
	white.red = 255;
	white.blue = 255;
	white.green = 255;
	white.alpha = 50;
	ApplyColorMask(white);
}

void colorize(int red, int blue, int green, int alpha)
{
	color c;
	c.red = red;
	c.blue = blue;
	c.green = green;
	c.alpha = alpha;
}

void fadeouttiles()
{

	image file;
	file = GrabImage(0,0, GetScreenWidth(),GetScreenHeight());
	BlitImage(file,0,0);

	int tilex;
	int tiley;

	int x;
	int y;


	tilex = 16;
	tiley = 16;
	x = 0;
	y = 0;


	while(y < GetScreenHeight())
	{
		SetClippingRectangle(x,y,tilex,tiley);
		FadeOut(5);
		FlipScreen();

		if(x > GetScreenWidth())
		{
			x = 0;
			y = y + tiley;
		}
	}

	SetClippingRectangle(0,0,GetScreenWidth(),GetScreenHeight());
	DestroyImage(file);
}


void game()
{
	fillscreen("c:\sphere\games\river-of-time\images\velvet.i32");
}



void fillscreen(string pattern)
{
	image file;
	file = LoadImage(pattern);

	int x = 0;
	int y = 0;

	while(y < GetScreenWidth())
	{
		BlitImage(file,x,y);
		FlipScreen();
		x = x + GetImageHeight();

		if(x > GetImageWidth())
		{
			x = 0;
			y = GetImageHeight();
		}

	}

	FlipScreen();

}




'|=======================================|
'|       _  _                _  _   _    |
'| |\/| |-| | |-| S  |_ | B |< |-| |< \/ |
'|                                    /  |
'|=======================================|

'list of functions:-

'int changeintegerpercentage(int integer, int percentage)




int integerpercentage(int integer, int percentage)
{
	integer = integer / 100 * percentage;
	return integer;
}



'|=======================================|
'|        _                 _      _     |
'| S \/ S | E |\/|  |_ | B |< |-| |< \/  |
'|   /                               /   |
'|=======================================|


'list of functions:-

'void exitwithmessage(string message)




'|====================================|
'|       _   _           _      _     |
'| |\/| |-| |/   |_ | B |< |-| |< \/  |
'|                                /   |
'|====================================|


'list of functions:-

'void singlemaprendertext(string text,int x, int y, int w, int h)


void singlemaprendertext(string text,int x, int y, int w, int h)
{

	image map;
	map = GrabImage(0,0,GetScreenHeight(),GetScreenWidth());
	BlitImage(map,0,0);

	DrawTextBox(x,y,w,h,0, text);
	FlipScreen();
	
}











'should otherwize exist.



int GetScreenWidth()
{
	return 320;
}

int GetScreenHeight()
{
	return 240;
}

int GetImageHeight()
{
	return 180;
}

int GetImageWidth()
{
	return 30;
}
